curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8/attributes \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const attribute = await method
.entities('ent_au22b1fbFJbp8')
.attributes
.create();
attribute = method
.entities('ent_au22b1fbFJbp8')
.attributes
.create()
{
"id": "attr_dADraNgLBrhgL",
"entity_id": "ent_EQ3FCTzDUmmCb",
"status": "in_progress",
"attributes": null,
"error": null,
"created_at": "2026-04-09T17:02:47.910Z",
"updated_at": "2026-04-09T17:02:47.910Z"
}
Attributes
Create Attributes
POST
/
entities
/
{ent_id}
/
attributes
curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8/attributes \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const attribute = await method
.entities('ent_au22b1fbFJbp8')
.attributes
.create();
attribute = method
.entities('ent_au22b1fbFJbp8')
.attributes
.create()
{
"id": "attr_dADraNgLBrhgL",
"entity_id": "ent_EQ3FCTzDUmmCb",
"status": "in_progress",
"attributes": null,
"error": null,
"created_at": "2026-04-09T17:02:47.910Z",
"updated_at": "2026-04-09T17:02:47.910Z"
}
Creates a new Attribute request to compute the Entity’s attributes.
All available attributes are computed automatically.
Operation Type:
Path Parameters
Returns
Returns an Entity’s Attributes object withstatus: "in_progress" and attributes: null.
Once processing completes, the status will update to completed and the attributes object
will be populated. Subscribe to webhooks or poll the
retrieve endpoint to get the final result.
curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8/attributes \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const attribute = await method
.entities('ent_au22b1fbFJbp8')
.attributes
.create();
attribute = method
.entities('ent_au22b1fbFJbp8')
.attributes
.create()
{
"id": "attr_dADraNgLBrhgL",
"entity_id": "ent_EQ3FCTzDUmmCb",
"status": "in_progress",
"attributes": null,
"error": null,
"created_at": "2026-04-09T17:02:47.910Z",
"updated_at": "2026-04-09T17:02:47.910Z"
}